<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Request In Person Meeting | Quoting</title>
    <link rel="stylesheet" href="./assets/vendor/bootstrap/bootstrap.min.css">
    <link rel="stylesheet" href="./assets/fonts/fonts.css">
    <link rel="stylesheet" href="./assets/css/style.css">
</head>

<body>
    <div class="main-page">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="title-container inner-container">
                        <h2>Request In Person Meeting</h2>
                    </div>
                </div>
                <div class="col-md-12">
                    <form id="requestForm" class="form-container-small" action="">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label class="form-label">Full name</label>
                                    <input type="text" name="name" class="form-control" placeholder="">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Email address</label>
                                    <input type="email" name="email" class="form-control" placeholder="">
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Preferred date</label>
                                    <div class="input-group">
                                        <input name="date" type="text" id="date-input" class="form-control caltime" placeholder="">
                                    </div>
                                </div>
                                <div class="mb-5">
                                    <label class="form-label">Preferred time</label>
                                    <div class="input-group">
                                        <input name="time" id="timepick" type="text" class="form-control caltime" placeholder="">
                                    </div>
                                </div>
                                <div class="mb-5 text-center">
                                    <button type="submit" class="btn btn-primary">Send request</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="col-md-12 mt-5">
                    <div class="inner-container">
                        <div class="row gx-3 gy-3 justify-content-center">
                            <div class="col-lg-4 col-md-6">
                                <a href="" class="btn btn-outline-primary btn-with-icon w-100 active">
                                    <span class="icon">
                                        <img src="./assets/img/icons/chat.svg" alt="">
                                    </span>
                                    <span class="btn-name">
                                        Request In Person Meeting
                                    </span>
                                </a>
                            </div>
                            <div class="col-lg-4 col-md-6">
                                <a href="./request-call-back.html" class="btn btn-outline-primary btn-with-icon w-100">
                                    <span class="icon">
                                        <img src="./assets/img/icons/call.svg" alt="">
                                    </span>
                                    <span class="btn-name">
                                        Request A Call Back
                                    </span>
                                </a>
                            </div>
                            <div class="col-lg-4 col-md-6">
                                <a href="" class="btn btn-outline-primary btn-with-icon w-100">
                                    <span class="icon">
                                        <img src="./assets/img/icons/call.svg" alt="">
                                    </span>
                                    <span class="btn-name">
                                        Call Sales Team
                                    </span>
                                </a>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <script src="./assets/vendor/bootstrap/bootstrap.bundle.min.js"></script>
    <script src="./assets/vendor/jquery/jquery.min.js"></script>
    <script src="./assets/vendor/jquery/jquery.validate.min.js"></script>
    <script src="./assets/vendor/datepicker/datedropper-jquery.js"></script>
    <script src="./assets/vendor/datepicker/timedropper-jquery.js"></script>
    <script src="./assets/js/custom.js"></script>
    <script>
        $(document).ready(function ($) {
            $("#openCal").click(function () {
                $('#date-input').dateDropper('show');
            });
            $('#date-input').dateDropper({
                largeOnly: true
            });
            $('#timepick').timeDropper({
                format: 'h:m A',
                setCurrentTime: false
            });
            $('#timepick').removeAttr('readonly');
            jQuery.validator.addMethod("phone_regex", function (value, element) {
                return this.optional(element) || /[0-9\-\(\)\s]+$/i.test(value);
            }, "Phone Number with only 0-9. Minlength: 10");
            $("#requestForm").validate({
                rules: {
                    name: "required",
                    email: {
                        required: true,
                    },
                    date:{
                        required: true,
                    },
                    time:{
                        required: true,
                    }
                },
                messages: {
                    name: "Please enter your Name",
                    email: "Please enter your Email",
                    date: "Please Select Date",
                    time: "Please Select Time",
                },
                errorPlacement: function (error, element) {

                    if (element.is(".caltime" )) {
                        error.insertAfter(element.parents('.input-group'));
                    }
                    
                    else { // This is the default behavior 
                        error.insertAfter(element);
                    }
                },
                submitHandler: function (form) {
                    form.submit();
                }

            });
        });
    </script>
</body>

</html>